net.i2p.desktopgui

## Class TrayManager

- java.lang.Object
- - net.i2p.desktopgui.TrayManager

Direct Known Subclasses:
  ExternalTrayManager, InternalTrayManager

    public abstract class TrayManager
    extends Object

Manages the tray icon life.

### Field Summary

Fields
`protected SystemTray` `tray`
`protected TrayIcon` `trayIcon`

### Constructor Summary

Constructors
`protected` `TrayManager()` Instantiate tray manager.

### Method Summary

Methods
`protected static String` `_(String s)`
`protected static TrayManager` `getInstance()`
`protected abstract PopupMenu` `getMainMenu()` Build a popup menu, adding callbacks to the different items.
`protected void` `languageChanged()`
`protected void` `startManager()` Add the tray icon to the system tray and start everything up.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tray

    protected SystemTray tray

#### trayIcon

    protected TrayIcon trayIcon

### Constructor Detail

#### TrayManager

    protected TrayManager()

Instantiate tray manager.

### Method Detail

#### getInstance

    protected static TrayManager getInstance()

#### startManager

    protected void startManager()

Add the tray icon to the system tray and start everything up.

#### languageChanged

    protected void languageChanged()

#### getMainMenu

    protected abstract PopupMenu getMainMenu()

Build a popup menu, adding callbacks to the different items.

Returns:
  popup menu

#### _

    protected static String _(String s)